#
# spec file for package python-QtAwesome
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-QtAwesome
Version:        0.6.0
Release:        lp152.2.1
Summary:        FontAwesome icons in PyQt and PySide applications
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/spyder-ide/qtawesome
Source:         https://files.pythonhosted.org/packages/source/Q/QtAwesome/QtAwesome-%{version}.tar.gz
Patch0:         no-py2.patch
BuildRequires:  %{python_module QtPy}
BuildRequires:  %{python_module pytest-qt}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  xvfb-run
Requires:       python-QtPy
Requires:       python-six
BuildArch:      noarch
%python_subpackages

%description
QtAwesome enables iconic fonts such as Font Awesome and
Elusive Icons in PyQt and PySide applications.

It is a port to Python - PyQt / PySide of the QtAwesome C++
library by Rick Blommers.

%prep
%setup -q -n QtAwesome-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} xvfb-run py.test-%{$python_bin_suffix} -v qtawesome/tests

%files %{python_files}
%license LICENSE
%doc CHANGELOG.md README.md
%{python_sitelib}/*

%changelog
* Thu Apr 23 2020 Tomáš Chvátal <tchvatal@suse.com>
- Add patch to not call python2:
  * no-py2.patch
* Mon Jul 29 2019 pgajdos@suse.com
- version update to 0.6.0
  * Add rotated, hflip, and vflip options
  * Update FontAwesome and Material design icons
  * Rotate icons by static angle i.e. 90, 180 etc
  * PR: Update FontAwesome and Material design icons
  * PR: Add rotated, hflip, and vflip options
* Fri Mar  8 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.5.7:
  * Issue 113 - Corrupted icons with PyQt 5.12
* Wed Mar  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.5.6:
  * Too many changes to enumerate, see CHANGELOG.md
- Run tests
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Aug 20 2018 dmueller@suse.com
- use singlespec'ed magic requires
* Sun Aug 19 2018 stefan.bruens@rwth-aachen.de
- Fix Requires:, refer to python2 packages from python2 package
- Remove erroneously distributed __pycache__ file from sources
- Spec cleanup:
  * drop %%defattr
  * use %%license for LICENSE
* Fri Jul 21 2017 sebix+novell.com@sebix.at
- license is packaged, remove it from sources
* Thu Oct 13 2016 toddrme2178@gmail.com
- Initial version
